Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Help required to decide the IDE(Help required to decide the IDE)
Help required to decide the IDE [message #1296469] Tue, 15 April 2014 02:32 Go to next message
Haran J is currently offline Haran JFriend
Messages: 3
Registered: April 2014
Junior Member
HI guys,
Please help me in deciding the right eclipse version for the below mentioned requirement. I am looking for some IDE which can replace RAD(ofcourse the reason is budget). either free or something cheaper than RAD.
1) Spring MVC portlet
2) Target Runtimes: Websphere portal server 8, WAS 8.5
3) Maven Integration
4) CVS/SVN support
5) Integration with some code review tool like SONAR
6) Angular Js support

Appreciate your help..

[Updated on: Tue, 15 April 2014 16:29]

Report message to a moderator

Re: Help required to decide the IDE [message #1297772 is a reply to message #1296469] Tue, 15 April 2014 22:31 Go to previous messageGo to next message
Russell Bateman is currently offline Russell BatemanFriend
Messages: 3798
Registered: July 2009
Location: Provo, Utah, USA
Senior Member

On 04/15/2014 07:30 AM, Harin JY wrote:
> HI guys,
> Please help me in deciding the right eclipse version for the below
> mentioned requirement. I am looking for some IDE which can replace
> RAD(ofcourse the reason is budget). either free or something cheaper
> than RAD.
> 1) Spring MVC portlet
> 2) Target Runtime: Websphere portal server 8. But we are not planning to
> test in local. Just, i need to create a war file which can be deployed
> in WPS8 server.
> 3) Maven Integration
> 4) CVS Integration
> 5) Integration with some code review tool like SONAR
>
> Appreciate your help..

Eclipse will give you all of that, but Spring Source Toolsuite
(http://spring.io/tools/sts) is free, I think, and built atop Eclipse.
Try that if you like.

Otherwise, there's nothing stopping you from using Eclipse IDE for Java
EE Developers and Spring JAR libraries.

I'm not a Websphere guy; you might ask advice in the Eclipse WTP forum.

Best of luck.
Re: Help required to decide the IDE [message #1298935 is a reply to message #1297772] Wed, 16 April 2014 16:09 Go to previous message
Haran J is currently offline Haran JFriend
Messages: 3
Registered: April 2014
Junior Member
Thanks Russell. If i get a solution, i will post it here..
Previous Topic:Eclipse can't access internet
Next Topic:Eclipse stopped starting after Ubuntu 13.04 update
Goto Forum:
  


Current Time: Tue Oct 27 16:39:29 GMT 2020

Powered by FUDForum. Page generated in 0.03227 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top